Overview | Package | Class | Tree | Deprecated | Index | Help
| The PDK Java API is part of the Portal Developer Kit on Portal Studio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2.webservice
Class HTMLStringWebServiceRenderer

    java.lang.Object
      |
      +--oracle.portal.provider.v2.render.ManagedRenderer
            |
            +--oracle.portal.provider.v2.render.http.BaseManagedRenderer
                  |
                  +--oracle.portal.provider.v2.webservice.WebServiceRenderer
                        |
                        +--oracle.portal.provider.v2.webservice.RPCWebServiceRenderer
                              |
                              +--oracle.portal.provider.v2.webservice.HTMLStringWebServiceRenderer

All Implemented Interfaces:
  InitializableXMLObject, Validateable

public class HTMLStringWebServiceRenderer
extends RPCWebServiceRenderer

`HTMLStringWebServiceRenderer` is a specialized `RPCWebServiceRenderer` for invoking 'RPC style' webservices that return HTML as a string. The HTML strings are parsed into XML using JTidy classes. The resultant XHTML is added to the response. `HTMLStringWebServiceRenderer` extends `oracle.portal.provider.v2.webservice.RPCWebServiceRenderer`.

Inner classes inherited from class oracle.portal.provider.v2.webservice.WebServiceRenderer
`WebServiceRenderer.ConstParam, WebServiceRenderer.DefaultableParameterBinding, WebServiceRenderer.EditData, WebServiceRenderer.ParameterBinding, WebServiceRenderer.PromptedBinding, WebServiceRenderer.RequestParam, WebServiceRenderer.SessionAttrib, WebServiceRenderer.URLParam`

Constructor Summary
`HTMLStringWebServiceRenderer()`

Methods inherited from class oracle.portal.provider.v2.webservice.RPCWebServiceRenderer
`addParam, addParam, invokeService, postInitialize, setClassName, setRenderMethod`

Methods inherited from class oracle.portal.provider.v2.webservice.WebServiceRenderer
`addLiteral, getBindings, getEscapeOutput, getLiteral, getLogging, getLoggingDirectory, renderBody, renderEdit, renderEditDefaults, renderLink, renderShow, setEscapeOutput, setLogging, setLoggingDirectory, setResponseXSL, validate`

Methods inherited from class oracle.portal.provider.v2.render.http.BaseManagedRenderer
`addParameter, getContentType, getGeneratesESI, preInitialize, prepareResponse, setContentType, setGeneratesESI, setGeneratesESI, setPageExpires, setPageExpires, setUseInvalidationCaching, setUseInvalidationCaching`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTMLStringWebServiceRenderer

    public HTMLStringWebServiceRenderer()

Overview | Package | Class | Tree | Deprecated | Index | Help
| The PDK Java API is part of the Portal Developer Kit on Portal Studio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002, Oracle Corporation. All Rights Reserved.